SPECK128::Dec Class Reference

SPECK128 decryption transformation. More...

`#include <speck.h>`

Inheritance diagram for SPECK128::Dec:

## Public Member Functions

void | ProcessAndXorBlock (const byte *inBlock, const byte *xorBlock, byte *outBlock) const
size_t | AdvancedProcessBlocks (const byte *inBlocks, const byte *xorBlocks, byte *outBlocks, size_t length, word32 flags) const
Public Member Functions inherited from SPECK128::Base
std::string | AlgorithmName () const
| The algorithm name.
std::string | AlgorithmProvider () const
unsigned int | OptimalDataAlignment () const
| Provides input and output data alignment for optimal performance.
Public Member Functions inherited from BlockCipherImpl< SPECK_Info< 16, 16, 16, 32 > >
unsigned int | BlockSize () const
| Provides the block size of the algorithm.
Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< BlockCipher, SPECK_Info< 16, 16, 16, 32 > > > >
std::string | AlgorithmName () const
| The algorithm name.
Public Member Functions inherited from SimpleKeyingInterfaceImpl< TwoBases< BlockCipher, SPECK_Info< 16, 16, 16, 32 > > >
size_t | MinKeyLength () const
| The minimum key length used by the algorithm.
size_t | MaxKeyLength () const
| The maximum key length used by the algorithm.
size_t | DefaultKeyLength () const
| The default key length used by the algorithm.
size_t | GetValidKeyLength (size_t keylength) const
| Provides a valid key length for the algorithm.
SimpleKeyingInterface::IV_Requirement | IVRequirement () const
| The default IV requirements for the algorithm.
unsigned int | IVSize () const
| The initialization vector length for the algorithm.

## Additional Inherited Members

Static Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< BlockCipher, SPECK_Info< 16, 16, 16, 32 > > > >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Detailed Description

SPECK128 decryption transformation.

Dec provides the decryption transformation. All key sizes are supported.

Since
  Crypto++ 6.0

Definition at line 191 of file speck.h.

## Member Function Documentation

## ProcessAndXorBlock()

void SPECK128::Dec::ProcessAndXorBlock | ( | const byte * | inBlock,
|  | const byte * | xorBlock,
|  | byte * | outBlock ) const

Definition at line 417 of file speck.cpp.

## AdvancedProcessBlocks()

size_t SPECK128::Dec::AdvancedProcessBlocks | ( | const byte * | inBlocks,
|  | const byte * | xorBlocks,
|  | byte * | outBlocks,
|  | size_t | length,
|  | word32 | flags ) const

Definition at line 465 of file speck.cpp.

The documentation for this class was generated from the following files:

- speck.h
- speck.cpp